# Embed interactive content

## Unique URL

Each event has a unique URL for the tracking map, leaderboard, and monitor. You can access these applications also by replacing `<slug>` with the corresponding `eventId`. This approach allows for automatically generated, stable URLs that remain functional even if the `<slug>` changes.

* Tracking map\
  `https://racemap.com/player/<slug>`&#x20;

  <https://racemap.com/player/100KmDuathlon2018> \
  <https://racemap.com/player/61a2055b10cacc0001302283>
* Leaderboard \
  `https://racemap.com/timing/<slug>`&#x20;

  <https://racemap.com/timing/100KmDuathlon2018>\
  <https://racemap.com/timing/61a2055b10cacc0001302283>
* Monitor \
  `https://racemap.com/monitor/<slug>`&#x20;

  <https://racemap.com/monitor/100KmDuathlon2018>\
  <https://racemap.com/monitor/61a2055b10cacc0001302283>

RACEMAP provides two dynamically generated pages for key-based access, also.

* Activity upload \
  `https://racemap.com/upload?key=<key>`\
  <https://racemap.com/upload?key=6G615L>
* Key link to enroll key (or passcode) \
  `https://racemap.com/app/redeem_key?key=<key>`\
  <https://racemap.com/app/redeem_key?key=6G615L>

## iFrame integration

Easily embed live tracking, leaderboards, live rankings, and the monitor on any webpage using an iFrame. This allows you to display interactive content directly on your site, keeping visitors engaged without redirecting them to external pages. By embedding these applications, you provide a seamless user experience while maintaining full control over your website’s navigation and branding.

{% code title="Embedded tracking map" overflow="wrap" lineNumbers="true" %}

```html
<iframe src="https://racemap.com/player/100KmDuathlon2018" style="width: 100%; height: 800px"></iframe>
```

{% endcode %}

{% code title="Tracking map embedded with options" overflow="wrap" lineNumbers="true" %}

```html
<iframe src="https://racemap.com/player/100KmDuathlon2018" style="width: 100%; height: 800px; border: solid 2px rgb(90, 90, 90); border-radius : 10px; box-shadow: 0 0 25px rgb(112, 139, 161)" allow="geolocation 'src'" loading="lazy" allowfullscreen webkitallowfullscreen mozallowfullscreen></iframe>
```

{% endcode %}

{% hint style="success" %}
Samples with the above html-code:

* Embedded tracking map: <https://racemap.com/embed-samples#iframe>&#x20;
* Tracking map embedded with options: <https://racemap.com/embed-samples#shadow>
  {% endhint %}

<table><thead><tr><th width="417">Attribute</th><th width="294">Description</th><th data-hidden>Parameter</th></tr></thead><tbody><tr><td><code>style="width: 100%"</code></td><td>width ratio of the embedded content</td><td><code>style</code></td></tr><tr><td><code>style="height: 800px"</code></td><td>height of the embedded content</td><td><code>style</code></td></tr><tr><td><code>style="border: solid 2px rgb(90, 90, 90)"</code><br><br><code>style="border: none"</code></td><td>strength and color of border line</td><td><code>style</code></td></tr><tr><td><code>style="border-radius: 10px"</code></td><td>rounded edges</td><td><code>style</code></td></tr><tr><td><code>style="box-shadow: 0 0 10px rgb(112, 139, 161)"</code></td><td>strength and color of shadow</td><td><code>style</code></td></tr><tr><td><code>allow="geolocation 'src'"</code></td><td>resource allowed to use geolocation interface to enable the "show own location"-feature of tracking map</td><td><code>allow</code></td></tr><tr><td><code>loading="lazy"</code></td><td>resource loaded only on need</td><td><code>loading</code></td></tr><tr><td><code>allowfullscreen webkitallowfullscreen mozallowfullscreen</code></td><td>to open the embedded tracking map fullscreen</td><td></td></tr></tbody></table>

#### **Leaderboard**&#x20;

<https://racemap.com/timing/virtual-race> \
sample: <https://racemap.com/embed-samples#leaderboard>&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```xml
<iframe src="https://racemap.com/timing/virtual-race" style="width: 100%; height: 800px; border: none; box-shadow: 0 0 10px rgb(112, 139, 161)" loading="lazy" allowfullscreen webkitallowfullscreen mozallowfullscreen></iframe>
```

{% endcode %}

#### **Monitor**&#x20;

<https://racemap.com/monitor/100KmDuathlon2018> \
sample: <https://racemap.com/embed-samples#monitor>

{% code overflow="wrap" lineNumbers="true" %}

```html
<iframe src="https://racemap.com/monitor/5a535fdf787fe25ece1a0cc8" style="width: 100%; height: 1000px; border: none; box-shadow: 0 0 10px rgb(112, 139, 161)" loading="lazy" allowfullscreen webkitallowfullscreen mozallowfullscreen></iframe>
```

{% endcode %}

#### **Activity upload**&#x20;

<https://racemap.com/upload?key=6G615L> \
sample: <https://racemap.com/embed-samples#upload>

{% code overflow="wrap" lineNumbers="true" %}

```html
<iframe src="https://racemap.com/upload?key=6G615L" style="width: 100%; height: 1150px; border: none; box-shadow: 0 0 10px rgb(112, 139, 161)" allowfullscreen webkitallowfullscreen mozallowfullscreen></iframe>
```

{% endcode %}

#### **Key link**&#x20;

<https://racemap.com/app/redeem_key?key=6G615L> \
sample: <https://racemap.com/embed-samples#key-link>

{% code overflow="wrap" lineNumbers="true" %}

```html
<iframe src="https://racemap.com/app/redeem_key?key=6G615L" style="width: 100%; height: 1100px; border: none; box-shadow: 0 0 10px rgb(112, 139, 161)" loading="lazy" allowfullscreen webkitallowfullscreen mozallowfullscreen></iframe>
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.racemap.com/live-tracking/iframe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
